import request from '@/utils/request'


export function voucherSave(query) {
  return request({
    url: 'system/voucher/saveOrUpdates',
    method: 'post',
    data: query
  })
}


export function voucherRemove(query) {
  return request({
    url: 'system/voucher/' + query,
    method: 'delete',
  })
}

export function queryPage(query) {
  return request({
    url: 'system/voucher/queryPage',
    method: 'get',
    params: query
  })
}
// 连锁店分页查询
export function storeMultipleShopQueryPage(query) {
  return request({
    url: 'system/storeMultipleShop/queryPage',
    method: 'get',
    params: query
  })
}
export function voucherInfo(query) {
  return request({
    url: 'system/voucher/info/' + query,
    method: 'get',
  })
}
// 根据代金券id查询关联店铺信息
export function queryPageByVoucherId(query) {
  return request({
    url: 'system/storeVoucherRel/queryPageByVoucherId',
    method: 'get',
    params: query
  })
}
// 根据代金券id移除店铺
export function queryPageByVoucherIdRemove(query) {
  return request({
    url: 'system/storeVoucherRel/removeStoreByVoucherId',
    method: 'get',
    params: query
  })
}
// 联合券用户店铺详情模糊查询
export function getStoreInfoByKey(query) {
  return request({
    url: 'system/appUser/getStoreInfoByKey',
    method: 'get',
    params: query
  })
}
export function enable(query) {
  return request({
    url: 'system/voucher/enable',
    method: 'get',
    params: query
  })
}

export function voucherStatistics(query) {
  return request({
    url: 'system/voucher/voucherStatistics',
    method: 'get',
    params: query
  })
}

export function recordPage(query) {
  return request({
    url: 'system/voucher/recordPage',
    method: 'get',
    params: query
  })
}

export function statisticsActivity(query) {
  return request({
    url: '/system/storeMarketingActivity/statisticsActivity',
    method: 'get',
    params: query
  })
}

export function storeMarketingActivityRemove(query) {
  return request({
    url: '/system/storeMarketingActivity/remove',
    method: 'get',
    params: query
  })
}

export function storeMarketingActivitySave(query) {
  return request({
    url: '/system/storeMarketingActivity/save',
    method: 'post',
    data: query
  })
}
export function shoppingVoucherRuleInfo(query) {
  return request({
    url: '/system/shoppingVoucherRule/info',
    method: 'get',
    params: query
  })
}
export function saveOrUpdatesRule(query) {
  return request({
    url: '/system/shoppingVoucherRule/saveOrUpdates',
    method: 'post',
    data: query
  })
}
export function removeStore(query) {
  return request({
    url: '/system/storeMarketingActivity/removeStore',
    method: 'get',
    params: query
  })
}
export function getActivitySpuListPage(query) {
  return request({
    url: '/system/goods/getActivitySpuListPage',
    method: 'get',
    params: query
  })
}
export function storeMarketingActivityUpdate(query) {
  return request({
    url: '/system/storeMarketingActivity/update',
    method: 'post',
    data: query
  })
}
export function queryStorePage(query) {
  return request({
    url: '/system/storeMarketingActivity/queryStorePage',
    method: 'get',
    params: query
  })
}
export function storeMarketingActivityInfo(query) {
  return request({
    url: '/system/storeMarketingActivity/info/' + query,
    method: 'get',
  })
}
export function queryPageRecord(query) {
  return request({
    url: '/system/storeMarketingActivity/queryPageRecord',
    method: 'get',
    params: query
  })
}
export function storeMarqueryPage(query) {
  return request({
    url: '/system/storeMarketingActivity/queryPage',
    method: 'get',
    params: query
  })
}
