import request from '@/utils/request'

export function getCity(query) {
    return request({
        url: '/getCity',
        method: 'get',
        params: query
    })
}
export function getCityTree(query) {
    return request({
        url: '/getCityTree',
        method: 'get',
        params: query
    })
}
export function getCityTreeNew(query) {
  return request({
      url: '/getCityTreeNew',
      method: 'get',
      params: query
  })
}
export function addFreightTemplate(query) {
    return request({
        url: '/system/freightTemplate/addFreightTemplate',
        method: 'post',
        data: query
    })
}

export function getFreightTemplate(query) {
    return request({
        url: '/system/freightTemplate/getFreightTemplate',
        method: 'get',
        params: query
    })
}


export function copyFreightTemplate(query) {
    return request({
        url: '/system/freightTemplate/copyFreightTemplate',
        method: 'post',
        data: query
    })
}


export function freightTemplateEdit(query) {
    return request({
        url: '/system/freightTemplate/edit',
        method: 'post',
        data: query
    })
}

export function removeDetail(query) {
    return request({
        url: '/system/freightTemplate/removeDetail',
        method: 'post',
        data: query
    })
}

export function freightTemplateRemove(query) {
    return request({
        url: '/system/freightTemplate/remove',
        method: 'post',
        data: query
    })
}



export function riderDeliveryTemplateget(query) {
    return request({
        url: '/system/riderDeliveryTemplate/get',
        method: 'get',
        params: query
    })
}

export function riderDeliveryTemplateAdd(query) {
    return request({
        url: '/system/riderDeliveryTemplate/add',
        method: 'post',
        data: query
    })
}



export function riderDeliveryTemplateRemove(query) {
    return request({
        url: '/system/riderDeliveryTemplate/delete',
        method: 'post',
        data: query
    })
}
